<section *ngIf="windowWidth === DESKTOP_WINDOW_WIDTH_ENUM.FULL" class="flex flex-col max-h-full" [ngClass]="{ 'hidden': isOpen === false }" [@openClose]="isOpen === true ? 'open' : 'closed'">
    <div class="bg-titleBar flex rounded-t-lg p-2 relative z-20" [ngClass]="{ 'justify-between': windowService.showBackBtn === true, 'justify-end': windowService.showBackBtn === false }">
        <app-icon-btn class="" [icon]="backIcon" data-cy-role="back-window-btn" [hidden]="windowService.showBackBtn === false" (click)="windowService.backButtonClicked.next(null)"></app-icon-btn>
        <h5 class=" text-xl absolute w-full text-center -z-10">{{ title }}</h5>
        <app-icon-btn class="" (click)="onCloseBtnClicked()" data-cy-role="close-window-btn"></app-icon-btn>
    </div>
    <div class="flex flex-col break-words bg-contentBackground border-contentBorder border-x-4 border-b-4 rounded-b-lg p-3" [ngClass]="{ 'overflow-y-scroll': scrollContent }">
        <app-monster-zone *ngIf="window === WINDOW_ENUM.MONSTER_ZONE"></app-monster-zone>
        <app-charts *ngIf="window === WINDOW_ENUM.CHART"></app-charts>
        <app-about *ngIf="window === WINDOW_ENUM.ABOUT"></app-about>
    </div>

</section>

<section *ngIf="windowWidth === DESKTOP_WINDOW_WIDTH_ENUM.THREE_QUARTER" [ngClass]="{ 'hidden': isOpen === false }" class="flex flex-col md:w-3/4 md:mx-auto max-h-full" [@openClose]="isOpen === true ? 'open' : 'closed'">
    <div class="bg-titleBar flex rounded-t-lg p-2 relative z-20" [ngClass]="{ 'justify-between': windowService.showBackBtn === true, 'justify-end': windowService.showBackBtn === false }">
        <app-icon-btn class="" [icon]="backIcon" data-cy-role="back-window-btn" [hidden]="windowService.showBackBtn === false" (click)="windowService.backButtonClicked.next(null)"></app-icon-btn>
        <h5 class=" text-xl absolute w-full text-center -z-10">{{ title }}</h5>
        <app-icon-btn class="" (click)="onCloseBtnClicked()" data-cy-role="close-window-btn"></app-icon-btn>
    </div>
    <div class="flex flex-col break-words bg-contentBackground border-contentBorder border-x-4 border-b-4 rounded-b-lg p-3" [ngClass]="{ 'overflow-y-scroll': scrollContent }">
        <app-monster-zone *ngIf="window === WINDOW_ENUM.MONSTER_ZONE"></app-monster-zone>
        <app-charts *ngIf="window === WINDOW_ENUM.CHART"></app-charts>
        <app-about *ngIf="window === WINDOW_ENUM.ABOUT"></app-about>
    </div>

</section>

<section *ngIf="windowWidth === DESKTOP_WINDOW_WIDTH_ENUM.HALF" [ngClass]="{ 'hidden': isOpen === false }" class="flex flex-col md:w-1/2 md:mx-auto max-h-full" [@openClose]="isOpen === true ? 'open' : 'closed'">
    <div class="bg-titleBar flex rounded-t-lg p-2 relative z-20" [ngClass]="{ 'justify-between': windowService.showBackBtn === true, 'justify-end': windowService.showBackBtn === false }">
        <app-icon-btn class="" [icon]="backIcon" data-cy-role="back-window-btn" [hidden]="windowService.showBackBtn === false" (click)="windowService.backButtonClicked.next(null)"></app-icon-btn>
        <h5 class=" text-xl absolute w-full text-center -z-10">{{ title }}</h5>
        <app-icon-btn class="" (click)="onCloseBtnClicked()" data-cy-role="close-window-btn"></app-icon-btn>
    </div>
    <div class="flex flex-col break-words bg-contentBackground border-contentBorder border-x-4 border-b-4 rounded-b-lg p-3" [ngClass]="{ 'overflow-y-scroll': scrollContent }">
        <app-monster-zone *ngIf="window === WINDOW_ENUM.MONSTER_ZONE"></app-monster-zone>
        <app-charts *ngIf="window === WINDOW_ENUM.CHART"></app-charts>
        <app-about *ngIf="window === WINDOW_ENUM.ABOUT"></app-about>
    </div>
</section>